Subject: bug#64723: [PATCH] Improve DLL search strategy for load-foreign-library

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sat, 09 Sep 2023 07:44:46 +0200

Mike Gran via Bug reports for GUILE, GNU's Ubiquitous Extension Language writes:

Hello Mike,

>> The new non-libltdl foreign library loading algorithm from 3.0.6
>> fails to cover common cases regarding how libtool names and installs
>> DLL files.  Notably, it fails to recognize when libtool has added the
>> major version number into the filename itself, such as libfoo-1.dll
>> Also, it does not search in binary directories and the PATH for DLL
>> files, where libtool is likely to install DLLs.
>
> Hi All-
>
> This is the first of a dozen patches to make Win32 minimally viable
> again. This patch specifically removes a regression introduced in 3.0.6
> described above.
>
> If I hear no objection, I'm going to rebase and push
> in a week or two.

Very much appreciated!

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com